Bug 59247 - kernel build failed
Summary: kernel build failed
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-03 22:05 UTC by B Really
Modified: 2007-04-18 16:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 19:15:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description B Really 2002-02-03 22:05:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (Win95; U)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.ulimit
nohup make clean
nohup make bzImage
nohup make bzdisk
nohup make modules
nohup make modules_install
2.
3.
	

Actual Results:  rm -f e1000.o
ld -m elf_i386  -r -o e1000.o e1000_fxhw.o e1000_main.o e1000_phy.o e1000_proc.o
make[3]: Leaving directory `/usr/src/linux-2.4.9-13/drivers/addon/e1000'
make[2]: Leaving directory `/usr/src/linux-2.4.9-13/drivers/addon'
make -C block modules
make[2]: Entering directory `/usr/src/linux-2.4.9-13/drivers/block'
gcc -D__KERNEL__ -I/usr/src/linux-2.4.9-13/include -Wall -Wstrict-prototypes 
-Wno-trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-common 
-Wno-unused -pipe -mpreferred-stack-boundary=2 -march=i486 -DMODULE 
-DMODVERSIONS -include /usr/src/linux-2.4.9-13/include/linux/modversions.h   
-DEXPORT_SYMTAB -c loop.c
gcc -D__KERNEL__ -I/usr/src/linux-2.4.9-13/include -Wall -Wstrict-prototypes 
-Wno-trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-common 
-Wno-unused -pipe -mpreferred-stack-boundary=2 -march=i486 -DMODULE 
-DMODVERSIONS -include /usr/src/linux-2.4.9-13/include/linux/modversions.h   -c 
-o xd.o xd.c
gcc -D__KERNEL__ -I/usr/src/linux-2.4.9-13/include -Wall -Wstrict-prototypes 
-Wno-trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-common 
-Wno-unused -pipe -mpreferred-stack-boundary=2 -march=i486 -DMODULE 
-DMODVERSIONS -include /usr/src/linux-2.4.9-13/include/linux/modversions.h   -c 
-o cpqarray.o cpqarray.c
cpqarray.c: In function `revalidate_allvol':
cpqarray.c:1634: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [cpqarray.o] Error 2
make[2]: Leaving directory `/usr/src/linux-2.4.9-13/drivers/block'
make[1]: *** [_modsubdir_block] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.9-13/drivers'
make: *** [_mod_drivers] Error 2


Additional info:

Comment 1 Jakub Jelinek 2002-02-04 14:49:26 UTC
Is it reproduceable?
If yes (always the same segfault on the same file same line if given the same
arguments), then please attach here cpqarray.i (add -save-temps option to gcc),
otherwise it is most probably a hardware problem.

Comment 2 Need Real Name 2002-04-03 19:34:38 UTC
Hi,  I am experiencing this same problem when compiling my kernel in RedHat 7.2.
I also had the problem in RH7.1 even after implementing the patched rpms.  It
happens on different files at different times.  I get the same "Internal error:
Segmentation fault." error.  Typing 'make' again will usually allow me to
successfully compile the current file, but it will hang on a later file.  This
behavior isn't restricted to compiling the kernel; I have troubles compiling any
big project.  My compilers always worked fine in the past.

My machine is a K6 II 400MHz processor w/ 256MB ram.  I only have 133MB of swap,
(was going to change that after recompiling the kernel), which COULD be a
problem, but this same problem happens when I'm not memory stressed (i.e. not
running X, just at the command line).  I'd be happy to tell more if necessary.
My e-mail address is: jdsalmonson@attbi.com

Thanks,
Jay

Comment 3 Alan Cox 2002-12-15 19:15:37 UTC
Classic bad RAM chips 

Anyone finding this old bug with similar things

If the bug moves each recompile - > memtest86 your box.



Note You need to log in before you can comment on or make changes to this bug.